polybori::CFactoryBase Class Reference

This base class CFactoryBase is used for currying other constructors with a BoolePolyRing. More...

`#include <CFactoryBase.h>`

Inheritance diagram for polybori::CFactoryBase:

## Public Types

typedef BoolePolyRing | parent_type
| Type of parent. More...

## Public Member Functions

| CFactoryBase (const parent_type &parent)
| Default constructor. More...
| CFactoryBase (const self &rhs)
| Copy constructor. More...
| ~CFactoryBase ()
| Destructor. More...
const parent_type & | parent () const
| Access delayed data. More...

## Detailed Description

This base class CFactoryBase is used for currying other constructors with a BoolePolyRing.

We generate pseudo constructors that a ring to be provided, because the latter is stored in the factory.

## Member Typedef Documentation

typedef BoolePolyRing polybori::CFactoryBase::parent_type

Type of parent.

## Constructor & Destructor Documentation

polybori::CFactoryBase::CFactoryBase | ( | const parent_type & | parent | ) |

inline

Default constructor.

polybori::CFactoryBase::CFactoryBase | ( | const self & | rhs | ) |

inline

Copy constructor.

polybori::CFactoryBase::~CFactoryBase | ( |  | ) |

inline

Destructor.

## Member Function Documentation

const parent_type& polybori::CFactoryBase::parent | ( |  | ) | const

inline

Access delayed data.

The documentation for this class was generated from the following file:

- CFactoryBase.h